#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EBasePredictionEvents {
    StringCommand = 128,
    Teleport = 130,
    Diagnostic = 16384,
}

impl EBasePredictionEvents {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::StringCommand as i32 => Some(Self::StringCommand),
            x if x == Self::Teleport as i32 => Some(Self::Teleport),
            x if x == Self::Diagnostic as i32 => Some(Self::Diagnostic),
            _ => None,
        }
    }
}
